/*
 * This is a manifest file that'll be compiled into application.css, which will include all the files
 * listed below.
 *
 * Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
 * vendor/assets/stylesheets directory can be referenced here using a relative path.
 *
 * You're free to add application-wide styles to this file and they'll appear at the bottom of the
 * compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
 * files in this directory. Styles in this file should be added after the last require_* statement.
 * It is generally better to create a new file per style scope.
 *
 */
@import 'bootstrap';
@import 'feeds';
@import 'devise';
@import 'albums';
@import 'users';
@import 'comments';
@import "font-awesome-sprockets";
@import "font-awesome";

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-weight: 400;
  font-size: 16px;
  line-height: 1.7;
  color: #777;
  font-family: 'Bitter', serif;
}

label {
  display: block;
  font: 13px Arial, Helvetica, sans-serif;
  color: #888;
}

ul {
  padding-left: 0px;
  list-style: none;
}

a,
a:hover {
  text-decoration: none;
}

#conversations-list {
  position: fixed;
  right: 0;
  bottom: 0;
  width: 100%;
}

.text-block {
  position: absolute;
  bottom: 0;
  right: 0;
}

.mode-block {
  position: absolute;
  top: 0;
  right: 0;
  font-size: 10px;
  border-radius: 100%;
  color: white;
  background-color: #222;
}

.photo-block {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  border-radius: 100%;
  color: white;
  background-color: rgba(34, 34, 34, 0.5);
  padding: 15px;
  text-align: center;

  span {
    display: block;
    font-weight: bold;
    font-size: 25px;
    line-height: 0.5;
  }
}

.round-image {
  border-radius: 100%;
}

.card-body {
  padding: 0.5rem;
}

.card-title {
  margin-bottom: 0;
}

.card-text {
  text-align: right;
}

.badge-lg {
  font-size: 100% !important
}

.logo-fotobook {
  text-transform: uppercase;
  font-weight: bold;
}

.full-name {
  background: #343a40;
  color: #f0f0f0;
  text-transform: uppercase;
  font-size: 20px;
  -webkit-transition: color 0.2s;
  transition: color 0.2s;
  transition: transform 0.2s;
  display: inline-block;
  text-decoration: none;
  position: relative;
  padding: 0 0.25em;
}


a.full-name:hover {
  color: white;
  font-weight: bold;
}

a.full-name::before,
a.full-name::after {
  position: absolute;
  top: 0;
  font-weight: 100;
  font-size: 150%;
  line-height: 1;
  opacity: 0;
  -webkit-transition: opacity 0.2s, -webkit-transform 0.2s;
  transition: opacity 0.2s, transform 0.2s;
}

a.full-name::before {
  left: -0.1em;
  content: '[';
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}

a.full-name::after {
  right: -0.1em;
  content: ']';
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
}

a.full-name:hover::before,
a.full-name:hover::after {
  opacity: 1;
  -webkit-transform: translateX(0);
  transform: translateX(0);
}

.upload-btn-wrapper {
  position: relative;
  overflow: hidden;
  display: inline-block;

  input[type=file] {
    font-size: 100px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
  }

  .btn {
    border: 2px solid gray;
    color: gray;
    background-color: white;
    padding: 8px 20px;
    border-radius: 8px;
    font-size: 20px;
    font-weight: bold;
  }
}

.modal-body>.img-responsive {
  display: block;
  margin-left: auto;
  margin-right: auto;
}


.hidden {
  display: none;
}

%overflow {
  overflow-y: auto;
  overflow-x: hidden;
}

.message-user {
  color: #fff !important;
}

.messages-list {
  max-height: 200px;
  @extend %overflow;

  .message-sent {
    background-color: #D9EDF7;
    border-color: #BCE8F1;
    margin: 5px 20px;
    padding: 10px;
    @extend %overflow;
  }


  .message-received {
    background-color: #F1F0F0;
    border-color: #EEEEEE;
    margin: 5px 20px;
    padding: 10px;
    @extend %overflow;
  }
}
